using System;
using Sirenix.OdinInspector;
using UnityEngine;
using VOID.Generic.Objects.Unit;

namespace VOID.Generic.Requirement
{
    [TypeRegistryItem("Level")]
    [Serializable]
    public class RequirementLevel : IUnitRequirement
    {
        [SerializeField]
        [MinValue(1)]
        private int _value;
        
        public bool Check(UnitObject unit)
        {
            return unit.unitLevel.level >= _value;
        }
    }
}